<?php

/* hard coded global variables which control the entire system */

// open client session ##
session_start();

// site live / not ## remember to swap ini_set above ##
$_SESSION['gm_live'] = $session['live'];

// timeout ##
set_time_limit(0);

// memory ##
ini_set( 'memory_limit', '-1' ); // bit greedy pehaps! ##

if ( $_SESSION['gm_live'] == 1 ) { // live settings ##
  
  // global deBug ##
  $_SESSION['debug'] = 0;
  $_SESSION['debug_soft'] = 0; // none critical faults (empty sql...) ##

  // show all errors ##
  #error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
  #ini_set('display_errors', '1');
  ini_set( 'display_errors', '0' ); // Best practise on production sites
  #ini_set( 'log_errors', '1' ); // We need to log them otherwise this script will be pointless!
  #ini_set( 'error_log', $_SESSION['gm']['path_log'] );// Full path to a writable file - include the file name
  error_reporting(E_ALL ^ E_NOTICE); // What errors to log - see: http://www.php.net/error_reporting
  
  // cookie domain ##
  $cookie_domain = '.'.$code['host_url'];
  $cookie_path = '/';
  
} else { // local settings ##

  // global deBug ##
  $_SESSION['debug'] = 1;
  $_SESSION['debug_soft'] = 0; // none critical faults (empty sql...) ##
  
  // show all errors ##
  error_reporting(E_ALL);
  ini_set('display_errors', '1');

  // cookie domain ##
  $cookie_domain = false;
  $cookie_path = '/';

}

?>
